SellaNMS v2.0.1 (01/31/08) - http://www.digitalgenesis.com

Documentation Notes:

The documentation provided here is only a basic overview. The Administrator's
Manual provides detailed information on the installation and configuration of
SellaNMS. Additionally, the configuration files sella_nms.conf,
policy-statements.conf, format-statements.conf and map-statements.conf all
provide comments that explain many of the configuration options.

The Administrator's Manual is provided in the distribution and online at:

  http://www.digitalgenesis.com/software/sella_nms/manual

Additional information and install help can be found within our forums:

  http://www.digitalgenesis.com/support/forum


Quick Install:

  0. Untar the distribution archive. It will create a sella_nms-2.0.1 directory.
     Several examples follow:

     For .tar.gz files:
       tar xvzf sella_nms-2.0.1.tar.gz
        -or-
       zcat sella_nms-2.0.1.tar.gz | tar xvf -

     For .tar.bz2 files:
       tar xvIf sella_nms-2.0.1.tar.bz2
        -or-
       tar xvf sella_nms-2.0.1.tar.bz2 --with-compress-program=bzip2
        -or-
       bzcat sella_nms-2.0.1.tar.bz2 | tar xvf -

  1. Run './configure' in the sella_nms directory (you may need extra flags).

     cd sella_nms-2.0.1

     ./configure

  2. Run 'make all', then 'make install' as root.

     make all
     su -c 'make install'

  3. Walk though the configuration script that was started by 'make install'.

  4. Configure web server to serve up SellaNMS Web GUI.

     For Apache, set your 'DocumentRoot' and 'DirectoryIndex' within your
     httpd.conf as follows:

     DocumentRoot "/usr/local/sella_nms/html"
     DirectoryIndex index.php index.html
     AddType application/x-httpd-php .php

     This configuration assumes that you have Apache working with PHP already, and
     are only using this web server for SellaNMS. Optionally, you could symlink
     '/usr/local/sella_nms/html' to your 'htdocs' directory or setup a virtual
     server.

  5. Test by viewing the Web GUI in your browser.

     It may take several minutes for the Web GUI to begin displaying content. The
     sella_nms daemon needs to discover your network and begin monitoring it.

Fini
